Skip to main content
PUT
Replace snapshot tags

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

snapshot_id
string<uuid4>
required

Unique identifier of the snapshot

Example:

"726ecfcc-7fd0-4e30-a86e-7892524aa483"

Body

application/json
{key}
string | null

Tag value. Maximum 255 characters. Cannot contain tabs, newlines, empty string or start/end with whitespace. Trailing or leading whitespaces will be stripped. Set to null in order to delete this tag.

Required string length: 1 - 255
Pattern: ^[^ \t\n\r\f\v]([^\t\n\r\f\v]*[^ \t\n\r\f\v])?$
Example:

"my-tag-value"

Response

200 - application/json

OK

created_at
string<date-time>
required

Datetime when the snapshot was created

Example:

"2019-05-29T05:32:41+0000"

creator_task_id
string<uuid4>
required

Task that created this entity

Example:

"2358e3b1-5c42-4705-8950-6ddcfc19c3bd"

description
string | null
required

Snapshot description

Example:

"Snapshot description"

id
string<uuid4>
required

Snapshot ID

Example:

"726ecfcc-7fd0-4e30-a86e-7892524aa483"

name
string
required

Snapshot name

Example:

"my-snapshot"

project_id
integer
required

Project ID

Example:

1337

region
string
required

Region name

Example:

"Luxembourg 1"

region_id
integer
required

Region ID

Example:

7

size
integer
required

Snapshot size, GiB

Example:

20

status
enum<string>
required

Snapshot status

Available options:
available,
backing-up,
creating,
deleted,
deleting,
error,
error_deleting,
restoring,
unmanaging
Example:

"available"

tags
TagSerializer · object[]
required

List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:
task_id
string<uuid4> | null
required

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

Example:

null

updated_at
string<date-time>
required

Datetime when the snapshot was last updated

Example:

"2019-05-29T05:39:20+0000"

volume_id
string<uuid4>
required

ID of the volume this snapshot was made from

Example:

"67baa7d1-08ea-4fc5-bef2-6b2465b7d227"